%define		Version	0.101
%define		Name	karpski

Summary:	A free ethernet protocol analyzer / sniffer
Name:		%{Name}
Version:	%{Version}
Release:	4
Copyright:	Free
Group:		X11/Applications
Source:		%{Name}-%{Version}.tgz
Patch0:		karpski.patch
Patch1:		karpski-bob.patch
Patch2:		karpski-green.patch
URL:		http://mojo.calyx.net/~btx/karpski.html
BuildRoot:	/tmp/%{Name}-%{Version}-root
Requires:	redhat-release => 5.0

%description
K.ARP.SKI (karpski) is an ethernet protocol analyzer / sniffer.  Its
abilities as a sniffer or scanner are limited, but this sniffer is much
easier to use than other popular sniffers such as tcpdump.  In addition,
there is a protocol definition file in which other protocols can be added. 
Karpski may also be used to launch programs against addresses on your local
network and as a local network intrusion tool.  Plus, it's free with source.

Its display is an Xwindows display.  This was a design decision based on my
need to display many windows simultaneously.  Console mode would just not
cut it.  I chose the Gtk display library because it's proven, portable and
free.  You may not like my choice; the source is included.

This program was originally based on my desire to detect someone plugging an
unauthorized computer into a LAN.  It did this originally by looking at ARP
packets.  This is where the arp in karpski comes from.

%prep
%setup -n %{Name}-%{Version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
./configure --prefix=/usr --exec_prefix=/usr/X11R6/bin --datadir=/usr/share

%build
make

%install
make	install-strip prefix="$RPM_BUILD_ROOT/usr" \
	exec_prefix="$RPM_BUILD_ROOT/usr/X11R6/bin" \
	datfilesdir="$RPM_BUILD_ROOT/usr/share/karpski/datfiles" \
	pixmapsdir="$RPM_BUILD_ROOT/usr/share/karpski/pixmaps"
du -a $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
/usr/share/karpski/datfiles/capture_filters.dat
/usr/share/karpski/datfiles/karpskirc
/usr/share/karpski/datfiles/protocol_parser.dat
/usr/share/karpski/datfiles/scanner.au
/usr/share/karpski/datfiles/smashy.dat
/usr/share/karpski/datfiles/vendor_codes.dat
/usr/share/karpski/pixmaps/splash_karpski.xpm
/usr/man/man8/karpski.8
/usr/sbin/karpski

%changelog
* Thu May 6 1999 David Green <green@couchpotato.net>
- Replaced scroll bars - they had disappeared due to the two functions disappearing as explained below.
* Wed Mar 10 1999 Bert de Bruijn <bob@ccl.kuleuven.ac.be>
- Upgrade to version 0.101
- added patch to remove two lines that contained a function that doesn't
  exist in my gtk version 1.2. It compiles and runs without it, so ...
- modified specfile to use /usr/share/karpski as datadir.
- used "make install-strip" to get a stripped binary (binary rpm size / 4)
* Mon Aug 23 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Started making the RPM.
